# Changelog

## [integrations/elasticsearch-v1.0.0] - 2024-09-12

### 🚀 Features

- Defer the database connection to when it's needed (#766)
- Add filter_policy to elasticsearch integration (#825)

### 🐛 Bug Fixes

- `ElasticSearch` - Fallback to default filter policy when deserializing retrievers without the init parameter (#898)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)
- ElasticSearch - remove legacy filters elasticsearch (#1078)

## [integrations/elasticsearch-v0.5.0] - 2024-05-24

### 🐛 Bug Fixes

- Add support for custom mapping in ElasticsearchDocumentStore (#721)

## [integrations/elasticsearch-v0.4.0] - 2024-04-03

### 📚 Documentation

- Docstring update  (#525)
- Review Elastic (#541)
- Disable-class-def (#556)

## [integrations/elasticsearch-v0.3.0] - 2024-02-23

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme

### 📚 Documentation

- Update category slug (#442)

### Elasticsearch

- Add user-agent header (#457)

### Feat

- Add filters to run function in retrievers of elasticsearch (#440)

### Elasticsearch

- Generate api docs (#322)

## [integrations/elasticsearch-v0.2.0] - 2024-01-19

## [integrations/elasticsearch-v0.1.3] - 2024-01-18

## [integrations/elasticsearch-v0.1.2] - 2023-12-20

### 🐛 Bug Fixes

- Fix project urls (#96)



### 🚜 Refactor

- Use `hatch_vcs` to manage integrations versioning (#103)

## [integrations/elasticsearch-v0.1.1] - 2023-12-05

### 🐛 Bug Fixes

- Fix import and increase version (#77)



## [integrations/elasticsearch-v0.1.0] - 2023-12-04

### 🐛 Bug Fixes

- Fix license headers


## [integrations/elasticsearch-v0.0.2] - 2023-11-29

<!-- generated by git-cliff -->
